Subject: RE: RTP security

From: "El-Gebaly, Hani" <[email-masked]>
Date: Fri, 18 Jun 1999 17:29:15 -0700

In the H.323 context, the key exchange is done in the openlogicalchannel and
openlogicalchannelAck messages. Further in order to encrypt those session
keys, you need to come up with a shared secret using for example
Diffie-Helman algorithm in the call establishment messages (Q.931 Setup,
alerting and Connect). You can then extract a meta key out of the shared
secret and use it for encrypting your media session keys before sending them
across in the logical channels. 
The procedure is defined in the H.323 security profile SP1. 

cheers,

Hani 

> -----Original Message-----
> From:	Hans Viens 
> Sent:	Tuesday, June 15, 1999 8:19 AM
> To:	[email-masked]
> Subject:	RTP security
> 
> Hi Folks!
> 
> I read that security in RTP protocol SHOULD use DES (CBC).  Since DES is a
> 
> symetric algorithm I would like to know how the key is exchange between
> the 
> parties ?
> 
> More explicitly, how should it be exchange to be full secure ?
> 
> Best regards,
> 
> Hans...
> 
> 
> ---------
> This message came from the IETF IPTEL Working Group Mailing List.

---------
This message came from the IETF IPTEL Working Group Mailing List.